package org.nl.acs.device.service;

import org.nl.acs.device.enums.DeviceType;
import org.nl.acs.device_driver.DeviceDriver;
import org.nl.acs.device_driver.DeviceDriverDefination;

import java.util.List;

public interface DeviceDriverDefinationAppService {
    List<String> getDeviceDriverCodes();

    DeviceDriverDefination getDeviceDriverDefination(String driverCode);

    List<DeviceDriverDefination> getDeviceDriverDefinations();

    List<DeviceDriverDefination> getDeviceDriverDefinations(DeviceType var1);

    boolean isRoute(Class<? extends DeviceDriver> var1);

    boolean isOpc(Class<? extends DeviceDriver> var1);
}
